1.0

1.0

get /v1/publicips

Description

PublicIP 목록을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP 주소
Example :
any of [string, null]None
querystate
optional
PublicIP 상태
Example :
any of [string, null]None
queryattached_resource_type
optional
PublicIP 연결된 자원 타입
Example :
any of [string, null]None
queryattached_resource_id
optional
PublicIP 연결된 자원 ID
Example :
any of [string, null]None
queryattached_resource_name
optional
PublicIP 연결된 자원명
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
querytype
optional
PublicIP 타입
Example :
any of [enum (IGW, GGW, SIGW), null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "publicips": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "ip_address": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "state": "RESERVED",
            "type": "IGW"
        }
    ]
}